## ros-noetic-ethercat-hardware 1.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ethercat_hardware)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS pr2_msgs pr2_hardware_interface roscpp realtime_tools diagnostic_msgs diagnostic_updater pluginlib message_generation)

find_library(LOG4CXX_LIBRARY log4cxx)

find_package(EML REQUIRED)

include_directories(include ${catkin_INCLUDE_DIRS} ${EML_INCLUDE_DIRS})

add_definitions(-Wall)

add_message_files( DIRECTORY msg FILES
ActuatorInfo.msg
BoardInfo.msg
MotorTemperature.msg
MotorTrace.msg
MotorTraceSample.msg
RawFTData.msg
RawFTDataSample.msg
)

add_service_files(DIRECTORY srv FILES
SoftProcessorFirmwareRead.srv
SoftProcessorFirmwareWrite.srv
SoftProcessorReset.srv
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
    DEPENDS EML
    CATKIN_DEPENDS pr2_msgs pr2_hardware_interface roscpp realtime_tools diagnostic_msgs diagnostic_updater pluginlib message_runtime
    INCLUDE_DIRS include
    LIBRARIES ethercat_hardware
)

add_definitions(-O3)

add_library(
  ethercat_hardware src/ethercat_hardware.cpp src/ethercat_com.cpp
  src/ethercat_device.cpp src/wg0x.cpp src/wg05.cpp src/wg06.cpp src/wg021.cpp
  src/ek1122.cpp src/wg014.cpp src/motor_model.cpp
  src/ethernet_interface_info.cpp src/motor_heating_model.cpp 
  src/wg_soft_processor.cpp src/wg_util.cpp src/wg_mailbox.cpp src/wg_eeprom.cpp
  )
add_dependencies(ethercat_hardware ${ethercat_hardware_EXPORTED_TARGETS})
target_link_libraries(ethercat_hardware ${catkin_LIBRARIES})
pr2_enable_rpath(ethercat_hardware)

add_executable(motorconf 
  src/motorconf.cpp src/ethercat_hardware.cpp src/ethercat_com.cpp
  src/ethercat_device.cpp src/wg0x.cpp src/wg05.cpp src/wg06.cpp src/wg021.cpp
  src/ek1122.cpp src/wg014.cpp src/motor_model.cpp
  src/ethernet_interface_info.cpp src/motor_heating_model.cpp
  src/wg_soft_processor.cpp src/wg_util.cpp src/wg_mailbox.cpp src/wg_eeprom.cpp
  )
add_dependencies(motorconf ${ethercat_hardware_EXPORTED_TARGETS})

message(STATUS ${LD_LIBRARY_PATH})
target_link_libraries(motorconf rt tinyxml ${LOG4CXX_LIBRARY} ${EML_LIBRARIES})
find_package(Boost REQUIRED COMPONENTS regex system thread filesystem)
include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(motorconf ${Boost_LIBRARIES} ${catkin_LIBRARIES})

catkin_add_gtest(wg0x_test test/wg0x_test.cpp )
target_link_libraries(wg0x_test ethercat_hardware tinyxml ${EML_LIBRARIES})
add_dependencies(wg0x_test ${ethercat_hardware_EXPORTED_TARGETS})

catkin_add_gtest(motor_heating_model_test test/motor_heating_model_test.cpp )
target_link_libraries(motor_heating_model_test ethercat_hardware tinyxml
   ${EML_LIBRARIES})

add_dependencies(motor_heating_model_test ${ethercat_hardware_EXPORTED_TARGETS})

install(TARGETS ethercat_hardware
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(TARGETS motorconf
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY srv msg DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES ethercat_device_plugin.xml actuators.conf actuators_alpha.conf
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-ethercat-hardware (1.9.0-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 02 Mar 2021 15:00:00 -0000

ros-noetic-ethercat-hardware (1.8.19-1buster) buster; urgency=high

  * Make sure to include the correct boost libraries.
    This follows the principle of "include what you use", and
    also should in theory fix the problems on the build farm.
    (#76 <https://github.com/PR2/pr2_ethercat_drivers/issues/76>)
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 25 Jul 2019 15:00:00 -0000

ros-noetic-ethercat-hardware (1.8.18-1buster) buster; urgency=high

  * fix order of Changelog contents
  * Merge pull request #75 <https://github.com/pr2/pr2_ethercat_drivers/issues/75> from k-okada/add_travis
    update travis.yml and fix for kinetic/melodic
  * fix gcc 8 error narrowing char
    explicitly mark the char array as unsigned.
  * add build/run depend to tinyxml
  * fixed compile error
  * Merge pull request #73 <https://github.com/pr2/pr2_ethercat_drivers/issues/73> from TAMS-Group/pr-kinetic-add-ft-frame
    add frame_id to f/t wrench messages
  * add frame_id to f/t wrench messages
    This adds the original frame name to the messages
    from the force torque sensors.
    Fixes #66 <https://github.com/pr2/pr2_ethercat_drivers/issues/66>
  * Contributors: David Feil-Seifer, Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 11 Mar 2019 15:00:00 -0000

ros-noetic-ethercat-hardware (1.8.17-1buster) buster; urgency=high

  * Merge pull request #69 <https://github.com/PR2/pr2_ethercat_drivers/issues/69> from goretkin/patch-1
    removed lingering hard-coded constant
  * Merge pull request #70 <https://github.com/PR2/pr2_ethercat_drivers/issues/70> from k-okada/orp
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * removed lingering constant
    MAX_FT_SAMPLES is currently set to 4, so this doesn't affect the behavior.
  * Contributors: Gustavo Goretkin, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-noetic-ethercat-hardware (1.8.15-1buster) buster; urgency=high

  * Added install rules
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 18 Jun 2015 15:00:00 -0000

ros-noetic-ethercat-hardware (1.8.12-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 15:00:00 -0000

ros-noetic-ethercat-hardware (1.8.11-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 29 Sep 2014 15:00:00 -0000

ros-noetic-ethercat-hardware (1.8.9-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 28 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-ethercat-hardware
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx-dev, libtinyxml-dev, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-eml, ros-noetic-message-generation, ros-noetic-pluginlib, ros-noetic-pr2-hardware-interface, ros-noetic-pr2-msgs, ros-noetic-realtime-tools, ros-noetic-roscpp
Homepage: http://ros.org/wiki/ethercat_hardware
Standards-Version: 3.9.2

Package: ros-noetic-ethercat-hardware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, libtinyxml-dev, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-eml, ros-noetic-message-runtime, ros-noetic-pluginlib, ros-noetic-pr2-hardware-interface, ros-noetic-pr2-msgs, ros-noetic-realtime-tools, ros-noetic-roscpp
Description: Package for creating a hardware interface to the robot using the EtherCAT motor controller/driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ethercat-hardware//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
